(in-package :om)


;;;transient drawing linux issue

(in-package :oa)
;from draw.lisp

(defun draw-po (pane po)
   (multiple-value-bind (*pox* *poy*) (capi::static-layout-child-position po)
    (let ((fff (or (if (gp::font-description-p (om-get-font po))
		       (gp::find-best-font pane (om-get-font po))
		       (om-get-font po))
		   (gp::graphics-state-font (gp::port-graphics-state pane))))) ;; when po class is text-enter-view returns nil for fff... AV
      (gp::with-graphics-state (pane :font fff 
                                     :mask 
                                     #-linux (list (item-x po) (item-y po) (vw po) (vh po))
                                     #+linux nil
                                     :foreground (or (capi::pinboard-object-graphics-arg po :foreground) :black)
                                     :background 
                                     #+linux (or (capi::pinboard-object-graphics-arg po :background) :white)
                                     #-linux (capi::pinboard-object-graphics-arg po :background)
                                     )
     ;(gp::set-graphics-port-coordinates pane :left (- x) :top (- y))
     (setf *curfocus* po) 
     (om-with-focused-view po
       (om-draw-contents po))
     ;switching to this will only display frames without icons and fonts (for testing purposes).
     ;(om-with-focused-view po
     ;  (om-draw-rect 0 0 (- (om-width po) 1) (- (om-height po) 1)))
     (when (highlight po) 
       (om-with-focused-view (om-get-view po)
        (om-draw-hilite-rect 0 0 (om-width po) (om-height po))))
     (setf *curfocus* nil)
     ;(set-graphics-port-coordinates pane :left 0 :top 0)
     ))
    )
  )
